> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Api Keys

> List all API keys for a project.



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json get /api/v1/projects/{project_slug}/api-keys
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/projects/{project_slug}/api-keys:
    get:
      tags:
        - Projects
      summary: List Api Keys
      description: List all API keys for a project.
      operationId: api_projects_router_list_api_keys
      parameters:
        - in: path
          name: project_slug
          schema:
            title: Project Slug
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ApiKeyResponse'
                title: Response
                type: array
      security:
        - JWTBearer: []
components:
  schemas:
    ApiKeyResponse:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        prefix:
          title: Prefix
          type: string
        is_revoked:
          title: Is Revoked
          type: boolean
        last_used_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Used At
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - id
        - name
        - prefix
        - is_revoked
        - last_used_at
        - created_at
      title: ApiKeyResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````